> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project

> Edits an existing recurring project using its ID.



## OpenAPI

````yaml PATCH /api/v1/task/projects/{projectId}/edit
openapi: 3.1.0
info:
  title: Xenia Team API - Update Project
  version: 1.0.0
  description: Edits an existing recurring project using its ID.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/task/projects/{projectId}/edit:
    patch:
      tags:
        - Projects
      summary: Edit Project
      description: Edits an existing recurring project using its ID.
      operationId: editProject
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The ID of the project to be updated
        - name: workspace-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditProjectRequest'
            example:
              id: 6912d6c1-e9bd-4e8b-a76e-e44e58632568
              title: user based project
              description: this is test!
              priority: High
              taskStatus: Open
              startDate: '2025-06-27T16:00:00.000Z'
              dueDate: '2025-06-27T17:00:00.000Z'
              endDate: '2025-07-31T11:00:00.000Z'
              requestThisTask: Weekly
              recurringByEvery: Week1
              intervalWeek:
                - Mon
                - Wed
                - Fri
                - Tue
              timezone: America/New_York
              LocationId: 1d5ceb29-ab86-4138-ad7f-b8290b1771f5
              assignees:
                - 23927db6-e184-4a5d-a7c0-6f9cbc08bdea
              ServiceId: 50d9f381-eba0-41b0-b26b-70a47a854252
              workspaceId: cb363f7e-c52a-4478-911d-f6a6f791090e
      responses:
        '200':
          description: Project successfully updated
          content:
            application/json:
              example:
                data:
                  id: 616bdfc6-249b-4c04-85af-d1360bb53218
                  workspaceId: cb363f7e-c52a-4478-911d-f6a6f791090e
                  title: user based project - edit
                  isPaused: false
                  isLocationAutoTag: true
                  type: user
                  entityIds:
                    - 23927db6-e184-4a5d-a7c0-6f9cbc08bdea
                    - dfea8b8a-5b22-4668-b68d-dc641eb3a101
                  assigneesRoles: null
                  metadata: null
                  state: ready
                  CreatedBy: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                  UpdatedBy: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                  createdAt: '2025-06-26T12:50:30.553Z'
                  updatedAt: '2025-06-26T16:03:05.474Z'
                  deletedAt: null
                  ProjectAccess: []
                extra_meta:
                  message: Project is updating, Check back shortly
        '400':
          description: Bad Request - Invalid input data.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to update project.
        '404':
          description: Not Found - Project does not exist.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  schemas:
    EditProjectRequest:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        priority:
          type: string
          enum:
            - Low
            - Medium
            - High
        taskStatus:
          type: string
          enum:
            - Open
            - On Hold
            - Completed
        startDate:
          type: string
          format: date-time
        dueDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
        requestThisTask:
          type: string
          enum:
            - Daily
            - Weekly
            - Monthly
        recurringByEvery:
          type: string
        intervalWeek:
          type: array
          items:
            type: string
            enum:
              - Mon
              - Tue
              - Wed
              - Thu
              - Fri
              - Sat
              - Sun
        timezone:
          type: string
        LocationId:
          type: string
          format: uuid
        assignees:
          type: array
          items:
            type: string
            format: uuid
        ServiceId:
          type: string
          format: uuid
        workspaceId:
          type: string
          format: uuid
          description: UUID of the workspace.
      required:
        - id
        - title
        - startDate
        - dueDate
        - requestThisTask
        - LocationId
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````